
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class SetActiveCameraSlotByFlags:CameraSlotSelector
  {
    [Export]
    public SelectorFlag[] flags;

    public override CameraSlot GetCameraSlot()
    {
      var slot = CameraManager.Get().GetSlot( flags );
      return slot;
    }

  }
}